Debian Bug report logs - #388594
take into account lists in descriptions when wrapping

version graph

Package: aptitude; Maintainer for aptitude is Aptitude Development Team <aptitude-devel@lists.alioth.debian.org>; Source for aptitude is src:aptitude.

Reported by: Tomas Pospisek <tpo_deb@sourcepole.ch>

Date: Thu, 21 Sep 2006 12:33:19 UTC

Severity: wishlist

Found in version aptitude/0.4.2-1

Fixed in version aptitude/0.4.4-1

Done: Daniel Burrows <dburrows@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#388594; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Tomas Pospisek <tpo_deb@sourcepole.ch>:
New Bug report received and forwarded. Copy sent to Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tomas Pospisek <tpo_deb@sourcepole.ch>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: take into account lists in descriptions when wrapping
Date: Thu, 21 Sep 2006 14:09:36 +0200
Package: aptitude
Version: 0.4.2-1
Severity: wishlist

Lists in descriptions are recognized by aptitude, however they're not
rendered correctly.

A list entry, that wraps will be rendered like this:

  * bla sadf asdf dsfg sdfg sdfg sdfg sdfg sdfg sdfg sdfg sdfg sdfg
sdfg sdfg sdfg

It'd be nice if aptitude could, when wrapping the line indent it like
this:

  * bla sadf asdf dsfg sdfg sdfg sdfg sdfg sdfg sdfg sdfg sdfg sdfg
    sdfg sdfg sdfg

Thanks,
*t

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable'), (50, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15-1-686
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages aptitude depends on:
ii  apt [libapt-pkg-libc6.3-6-3. 0.6.45      Advanced front-end for dpkg
ii  libc6                        2.3.6.ds1-4 GNU C Library: Shared libraries
hi  libgcc1                      1:4.1.1-13  GCC support library
ii  libncursesw5                 5.5-3       Shared libraries for terminal hand
ii  libsigc++-2.0-0c2a           2.0.17-1    type-safe Signal Framework for C++
ii  libstdc++6                   4.1.1-13    The GNU Standard C++ Library v3

Versions of packages aptitude recommends:
ii  aptitude-doc-en [aptitude-doc 0.4.2-1    English manual for aptitude, a ter

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#388594; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dburrows@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 388594@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: Tomas Pospisek <tpo_deb@sourcepole.ch>, 388594@bugs.debian.org
Subject: Re: Bug#388594: take into account lists in descriptions when wrapping
Date: Thu, 21 Sep 2006 21:13:54 -0700
[Message part 1 (text/plain, inline)]
  Does the behavior improve if you start aptitude with the option
"-o Aptitude::Parse-Description-Bullets=true"?

  ;-)

  Daniel

  PS: see bug #373888.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#388594; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Tomas Pospisek <tpo_deb@sourcepole.ch>:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #15 received at 388594@bugs.debian.org (full text, mbox):

From: Tomas Pospisek <tpo_deb@sourcepole.ch>
To: 388594@bugs.debian.org
Cc: 373888@bugs.debian.org, 373888-submitter@bugs.debian.org
Subject: Re: Bug#388594: take into account lists in descriptions when wrapping
Date: Sat, 23 Sep 2006 01:20:42 +0200 (CEST)
On Thu, 21 Sep 2006, Daniel Burrows wrote:

>  Does the behavior improve if you start aptitude with the option
> "-o Aptitude::Parse-Description-Bullets=true"?

Beautiful!

>  PS: see bug #373888.

Ummm ... I can understand that removing the last line ("+   ... and more") 
is a bug and should be avoided, however:

"b.) The squeezing of the multiple spaces after the + is unpredicted and
 can cause additional problem with formating."

I can understand that this *could* pose problems, however is there 
any *actual* example(s) where it *does* cause formatting problems?

In the example in case here the resulting rendering fits perfectly since 
what we have there is a list, and aptitude does render it as a list.

So is b) actually a real problem?

In cases where aptitude gets the rendering of the lists wrong, we might as 
well submit patches to those descriptions, so that they *do* get rendered 
correctly in the future. See [1] where I started such an effort.
*t

[1] http://wiki.debian.org/Aptitude::Parse-Description-Bullets=true

-- 
--------------------------------------------------------
  Tomas Pospisek
  http://sourcepole.com -  Linux & Open Source Solutions
--------------------------------------------------------



Reply sent to Daniel Burrows <dburrows@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Tomas Pospisek <tpo_deb@sourcepole.ch>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #20 received at 388594-close@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: 388594-close@bugs.debian.org
Subject: Bug#388594: fixed in aptitude 0.4.4-1
Date: Thu, 26 Oct 2006 22:02:11 -0700
Source: aptitude
Source-Version: 0.4.4-1

We believe that the bug you reported is fixed in the latest version of
aptitude, which is due to be installed in the Debian FTP archive:

aptitude-doc-cs_0.4.4-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-cs_0.4.4-1_all.deb
aptitude-doc-en_0.4.4-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-en_0.4.4-1_all.deb
aptitude-doc-fi_0.4.4-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-fi_0.4.4-1_all.deb
aptitude-doc-fr_0.4.4-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-fr_0.4.4-1_all.deb
aptitude_0.4.4-1.diff.gz
  to pool/main/a/aptitude/aptitude_0.4.4-1.diff.gz
aptitude_0.4.4-1.dsc
  to pool/main/a/aptitude/aptitude_0.4.4-1.dsc
aptitude_0.4.4-1_i386.deb
  to pool/main/a/aptitude/aptitude_0.4.4-1_i386.deb
aptitude_0.4.4.orig.tar.gz
  to pool/main/a/aptitude/aptitude_0.4.4.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 388594@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Burrows <dburrows@debian.org> (supplier of updated aptitude package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 26 Oct 2006 21:02:00 -0700
Source: aptitude
Binary: aptitude-doc-cs aptitude-doc-fr aptitude-doc-fi aptitude-doc-en aptitude
Architecture: source all i386
Version: 0.4.4-1
Distribution: unstable
Urgency: low
Maintainer: Daniel Burrows <dburrows@debian.org>
Changed-By: Daniel Burrows <dburrows@debian.org>
Description: 
 aptitude   - terminal-based apt frontend
 aptitude-doc-cs - Czech manual for aptitude, a terminal-based apt frontend
 aptitude-doc-en - English manual for aptitude, a terminal-based apt frontend
 aptitude-doc-fi - Finnish manual for aptitude, a terminal-based apt frontend
 aptitude-doc-fr - French manual for aptitude, a terminal-based apt frontend
Closes: 38973 351531 351531 361050 374919 381481 386307 386852 387336 387537 387579 387734 387803 388045 388401 388552 388552 388594 389581 389583 389763 389942 390736 390971 391061 391531 391663 391684 392305 392305 392305 392870 392903 392924 393070 393643 394696 395007 395201
Changes: 
 aptitude (0.4.4-1) unstable; urgency=low
 .
   * New upstream release.
 .
     - Bulleting has been fixed and re-enabled by default.
       (Closes: #388594)
 .
     - Change the default settings to leave unused Linux kernel
       images on the system. (Closes: #386307)
 .
     - Produce more useful errors for corrupted or unverifiable downloads
       (Closes: #387537).
 .
     - Make minibuffer messages disappear when a key is pressed again.
       (Closes: #395201)
 .
     - Remove an assertion about the timing behavior of timed mutex locks,
       which apparently behave differently in virtual machines.
       (Closes: #381481)
 .
     - Document the "unhold" command-line action. (Closes: #387336)
 .
     - Make the package selected by a search appear at the top of the
       screen, so that it's visible underneath the search dialog.
       (Closes: #389763)
 .
     - Make the progress indicator less visually distracting by eliminating
       the yellow "progress" effect (which on many system just produces a
       distracting yellow and blue flashing) (Closes: #390971).
 .
     - Unblock all signals (particularly WINCH) before running dpkg, so
       that processes spawned by dpkg don't end up with weird signal masks.
       (Closes: #392870)
 .
     - Use the first *character*, not the first byte, when abbreviating
       dependency names in the command-line preview (Closes: #395007).
 .
     - Documentation fixes from Kobayashi Noritatda (Closes: #389942).
 .
     - Translation updates:
       * Basque (Closes: #38973)
       * Brazilian (Closes: #387734)
       * Catalan
       * Chinese (Simplified) (Closes: #392305)
       * Chinese (Traditional)
       * Czech (Closes: #361050)
       * Danish
       * Dutch (Closes: #393643)
       * Dzongkha (Closes: #388045)
       * Finnish (Closes: #351531)
       * French (Closes: #388552, #351531)
       * Galacian (Closes: #387579)
       * German
       * Hungarian
       * Italian
       * Japanese (Closes: #389581, #389583, #390736, #391061)
       * Khmer (Closes: #374919)
       * Kurdish (Closes: #387803)
       * Norwegian Bokmal (Closes: #391684)
       * Portuguese (Closes: #393070)
       * Romanian (Closes: #388401)
       * Russian (Closes: #392305)
       * Slovak (Closes: #386852, #394696)
       * Spanish (Closes: #391663)
       * Swedish (Closes: #391531)
       * Turkish (Closes: #392305)
       * Vietnamese (Closes: #388552, #392903, #392924)
Files: 
 d2a2a8265e452836399698f36802217e 802 admin - aptitude_0.4.4-1.dsc
 cdb1ffb692ba17376859dc51a361ac94 5281245 admin - aptitude_0.4.4.orig.tar.gz
 081c5886ef0c7a0ff679a78dee228e96 24721 admin - aptitude_0.4.4-1.diff.gz
 3f5b5b06765f081a1bbe29649c92509c 338182 doc optional aptitude-doc-cs_0.4.4-1_all.deb
 0a15f3e63e070453b734923e56193fb1 324392 doc optional aptitude-doc-en_0.4.4-1_all.deb
 fc67aadeda25e39cb0be8d49585d1b9e 256578 doc optional aptitude-doc-fi_0.4.4-1_all.deb
 2a78f29545279874cd75cb9e7b61ea53 266760 doc optional aptitude-doc-fr_0.4.4-1_all.deb
 0cbb6dd4a3131175d0756faf82959660 2869878 admin important aptitude_0.4.4-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFQZFYch6xsM7kSXgRAmHlAKD1O/qpaPXqDBKPbvl3idPsJ1O4kgCg1R9q
BCpZimErZ3TqM662jouDYjk=
=wuOG
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 27 Jun 2007 06:05:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 18:45:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.